WordPress.org

Plugin Directory

Scribe

Scribe makes content marketing simple.

How does Scribe help me in my Content Marketing efforts?

Effective content marketing starts with great content – content that is both search engine and social media friendly.

Scribe makes it easy for content creators to research and create content that is focused on the key topics that the audience they want to reach are interested in, using the language that audience uses when searching and discussing those topics.. This is the key to improving targeted traffic and leads from search and social media sources.

Scribe’s powerful research tools help you find opportunities that are not being served, helping you quickly focus your content efforts on terms that have low competition online with strong demand from searchers.

And once you find a content focus that works, Scribe’s Content Analysis provides a quick and easy way to inspect your content for both the strength of your writing style and the alignment of your content with your overall site – both crucial to search engine rankings in a post-Panda environment.

Finally, as any good content marketer will attest, online connections matter and with Scribe Site Connections, it’s easier than ever to quickly identify complentary publishers, bloggers, and authoritative social media personalities so that you can engage them with your content.

Why do I need an API Key?

The API key is used to regulate the number of content evaluations provided by our service to each user. We have multiple pricing tiers, including a FREE "test drive" tier, based on the amount of analysis performed within your blog.

Why does Scribe require a theme or plugin in order to work?

Scribe relies on the SEO features of some of the more popular SEO frameworks. Our currently supported frameworks, found at Scribe Compatibility, have been tested and support the advanced SEO features required to maximize your exposure on search engines.

I don't see my theme listed!

We will continue to support other themes over time based on the cooperation of theme developers. Because our plugin is under the GPL, you may modify it to support other themes or plugins. For a complete list of compatible themes and plugins, go to http://scribecontent.com/compatibility/.

Requires: 3.3 or higher
Compatible up to: 4.1.1
Last Updated: 2014-12-17
Active Installs: 9,000+

Ratings

1.2 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,2,2 100,1,1 50,2,1
100,1,1
0,3,0
50,2,1
67,3,2
100,2,2 0,2,0
100,1,1
100,1,1